# Introduction

In the sidebar you will find a complete breakdown of each endpoint available in the integration API for creating, modifying, and managing your elements within the snack prompt.

{% hint style="info" %}
To interact with the integrations API, you need a valid token, which can be requested by following the step-by-step instructions at [Get your API key](/next-steps/api-keys.md).
{% endhint %}

### Convention&#x20;

The base URL to send all API requests is `https://api-integrations.snackprompt.com` .

**HTTPS** is **required** for all API requests.

#### Authentication

All API requests require authentication via the `x-api-key` header:

```
x-api-key: YOUR_API_KEY
Content-Type: application/json
```

{% hint style="warning" %}
**API Key Security** Keep your API key secure. Never share it publicly or commit it to version control. API keys do not expire but can be deleted at any time from your account settings.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snackprompt.com/api-reference/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
